package com.qmth.demo.api.controller;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.fss.store.FileStore;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/file")
@Aac(strict = BOOL.FALSE, auth = BOOL.FALSE)
public class FileController {

    //    @Resource
    //    FileService fileService;

    @Resource
    FileStore fileStore;

    @RequestMapping("/server")
    public Object server() {
        //return fileService.getFileStore("public").getServer();
        return fileStore.getServer();
    }

    @RequestMapping("/exist")
    public boolean exist(@RequestParam String path) {
        //return fileService.getFileStore("public").exist(path);
        return fileStore.exist(path);
    }
}
