package com.qmth.demo.api.controller;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.retrofit.utils.SignatureInfo;
import com.qmth.boot.core.solar.service.SolarService;
import com.qmth.boot.tools.signature.SignatureType;
import com.qmth.demo.api.client.SolarTestClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/solar")
public class SolarController {

    @Resource
    private SolarService solarService;

    @Resource
    private SolarTestClient solarTestClient;

    @RequestMapping("/app/info")
    public Object appInfo(@RequestParam String accessKey, @RequestParam String accessSecret) {
        return solarTestClient.getAppInfo(new SignatureInfo(SignatureType.SECRET, accessKey, accessSecret).toString());
    }

    //    @RequestMapping("/app/info")
    //    public Object appInfo() {
    //        return solarService.getAppInfo();
    //    }
    //
    //    @RequestMapping("/org/list")
    //    public Object orgList() {
    //        return solarService.getOrgList();
    //    }
}
